## configlet 1.8

=== documentation/Makefile ===
# $Progeny: Makefile,v 1.9 2002/01/18 06:19:43 dsp Exp $

doctools=../doctools

SGML_FILES=	\
		update-configlets.sgml \
		configlet-capplet.sgml \
		test-configlets.sgml \
		configlets-druid.sgml \
		configlets-text.sgml

all: configlet-capplet.1 update-configlets.1 test-configlets.1 \
	configlets-druid.1 configlets-text.1

validate:
	$(call validate_sgml,update-configlets.sgml)
	$(call validate_sgml,configlet-capplet.sgml)
	$(call validate_sgml,test-configlets.sgml)
	$(call validate_sgml,configlets-druid.sgml)

clean:
# Dummy target

maintainer-clean:
	rm -f *.1

.PHONY: all validate clean maintainer-clean

include ${doctools}/docbook.mk
