=== documentation/book/Makefile ===
# $Progeny: Makefile,v 1.20 2002/01/18 06:19:44 dsp Exp $

doctools=../../doctools

XML_FILES=	\
		architecture.xml \
		book.xml \
		configlet.xml \
		frontend.xml \
		introduction.xml

XSL_FILES=	configlet-local.xsl

IGNOREFILES=	*.html book.ps book.pdf book.txt

HTML_SS_XSL=	configlet-local.xsl

all: .cvsignore api/index.html book.html book.txt

api/index.html: ../../configlet.py
	happydoc -d api ../../configlet.py

book1.html: ${XML_FILES}
	$(call chunk_html,book.xml)

book.html: ${XML_FILES}
book.pdf: ${XML_FILES}
book.ps: ${XML_FILES}

validate:
	$(call validate,book.xml)

clean:


maintainer-clean:
	rm -rf *.html *.ps *.pdf *.txt api

.PHONY: all validate clean maintainer-clean

include ${doctools}/docbook.mk
