=== debian/changelog ===
configlet (1.8) unstable; urgency=medium

  * Wrap more calls to configlets in try blocks, so a bad configlet
    doesn't bring down the whole show.
  * Add debug(), warn(), and error() methods to DruidConfigGroup.
  * Fix some namespacing issues in the druid.
  * Add error dialog when the capplet's privileged runner stuff 
    fails.  Closes: #133883, #133715.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 15 Apr 2002 11:13:34 -0500

configlet (1.7) unstable; urgency=low

  * Work around breakage in python-gnome; check when set_logo calls
    break and disable them (instead of throwing an exception).

 -- Jeff Licquia <jlicquia@progeny.com>  Fri, 29 Mar 2002 12:22:32 -0500

configlet (1.6) unstable; urgency=low

  * Change the maintainer to Progeny.
  * Allow use of xsu instead of gnome-sudo to gain root access.
  * Handle imlib breakage, when it happens, a little better; don't
    try to load images if it breaks.
  * Re-jigger the way debconf changes are written to the database;
    debconf-communicate turns out to be a bit fragile.

 -- Jeff Licquia <jlicquia@progeny.com>  Sun, 24 Mar 2002 22:20:54 -0500

configlet (1.5) unstable; urgency=low

  * Make sure we register questions with debconf if the question name
    doesn't match the template name.
  * get_page_display_name -> get_page_display_title in
    configlet-capplet.
  * Switch icons for the control center toplevel.
  * When setting debconf values, close and re-open a new
    debconf-communicate session for each package.  This way, registered
    questions will have the correct owner.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 13 Feb 2002 19:01:41 -0500

configlet (1.4) unstable; urgency=low

  * Make sure we catch validation function exceptions in the druid.
  * Move the GNOME Control Center section from "System" to "Debian", to 
    eliminate a conflict with ximian-setup-tools.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 12 Feb 2002 11:28:33 -0500

configlet (1.3) unstable; urgency=low

  * Make sure that, when FLAGS is set for debconf information, values
    can still be unset.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 30 Jan 2002 17:02:34 -0500

configlet (1.2) unstable; urgency=low

  * Be more robust about starting and working with configlets; an
    exception in a configlet shouldn't cause the whole API to freak.
  * Same for update-configlet-frontends.  Closes: #131234.
  * Add "watermark" config option for setting the druid watermark.
  * Added missing dep on debconf-utils.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 28 Jan 2002 15:02:10 -0500

configlet (1.1) unstable; urgency=low

  * Suppress debconf-communicate output unless DEBUG is set.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 21 Jan 2002 11:26:04 -0500

configlet (1.0) unstable; urgency=low

  * Too many changes to count are thanks to fellow Progeny co-workers:
    John Daily <jdaily@progeny.com>, Eric Gillespie <epg@progeny.com>,
    and Branden Robinson <branden@progeny.com>
  * New documentation: man pages and a more extensive book.
  * Correct Build-Depends.
  * Instead of class global variables for important information about
    the configlets, we have attributes, which are passed into
    register_configlet.
  * Debugging and logging functions added to the API.
  * Privileged runner infrastructure moved outside of classes.
  * Added configuration file to configlets-druid, so much of its
    behavior can be overriden at runtime.
  * Configlets-druid now adds "(mandatory)" to the title of configlets
    identified as mandatory.
  * Unless otherwise indicated, configlets-druid now loads the Raleigh
    GTK theme.
  * Add a way for debconf flags to be set by the configlets.
  * Highly GNOME-specific API calls now have "gnome" in their function
    names (on_close -> on_gnome_close, setup -> gnome_setup).
  * New configlets-druid arguments: --ask-only and --commit-only.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 14 Jan 2002 00:02:58 -0500

configlet (0.9.24) unstable; urgency=low

  * Major changes to the configlet API.
  * update-configlets now takes parameters: --install, --remove,
    --update, --install-all, --remove-all.  This allows new configlets
    to install themselves individually.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 19 Dec 2001 13:36:12 -0500

configlet (0.9.23) unstable; urgency=low

  * Clean up the rules file and install everything with the correct
    permissions using install(1) instead of cp(1).  This fixes the bug
    where the scripts were being installed not
    executable. (epg@progeny.com)
  * Kill #! line in configlet.py module.  Fixes lintian
    warning. (epg@progeny.com)
  * Remove debhelper documentation files from debian
    dir. (epg@progeny.com)
  * Add python-happydoc to Build-Depends. (epg@progeny.com)
  * Add lib-saxon-java to Build-Depends. (epg@progeny.com)
    XXX: This is currently in contrib, but jdaily has filed a bug report
    asking that it be moved to main since it works fine with kaffe.  Until
    this is resolved we can't upload this.
  * New DocBook documentation. (jdaily@progeny.com)
  * Split the package into python-configlet (the API and test-configlets)
    and configlet-frontends (the druid and capplet).
  * Added "name" attribute to configlets (generated from the directory name
    where the configlet is installed), and changed frontends to use it as
    an index instead of the display name. (epg@progeny.com)
  * Don't try to configure the "shared" package. (epg@progeny.com)
  * Use proper tuples in % substitutions. (epg@progeny.com)
  * The DebConf constructor now takes a package list.
  * Add "setter" methods to Configlet class for setting attrubutes.
    (jdaily@progeny.com)
  * Changed debconf() to report_debconf() in Configlet.
    (jdaily@progeny.com)
  * Changed "display_name" to "display_title". (jdaily@progeny.com)
  * Standardized on "/usr/share/configlets" for the default configlet
    path.
  * Changed configlets-druid to put multi-page configlets in a tab on

