=== debian/control ===
Source: configlet
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Build-Depends-Indep: debhelper, python-happydoc, docbook-to-man, opensp, docbook-xml, openjade, lynx
Standards-Version: 3.5.6

Package: python-configlet
Architecture: all
Section: libs
Depends: python (>= 2.1), python (<< 2.2), python-gtk, python-gnome, python-glade, debconf (>= 1.0), debconf-utils, imagemagick, gnome-sudo | xsu
Conflicts: configlet (<= 0.9.22)
Description: Alternate debconf configuration interface - core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides the basic API for writing configlets, as well
 as a simple tabbed dialog front end and test apparatus.

Package: configlet-frontends
Architecture: all
Section: admin
Depends: python, python-configlet
Conflicts: configlet (<= 0.9.22)
Provides: configlet
Replaces: configlet
Description: Alternate debconf configuration interface - frontends
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides a GNOME Druid frontend for the configlets, as
 well as a capplet interface that plugs configlets into the GNOME 
 Control Center.
