=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.26 2002/02/12 16:16:17 jlicquia Exp $

export DH_COMPAT=2

INSTALL=		/usr/bin/install
INSTALL_DATA=		${INSTALL} -m 644 -o root -g root
INSTALL_MODULE=		${INSTALL_DATA}
INSTALL_SCRIPT=		${INSTALL} -m 755 -o root -g root

build: build-stamp
build-stamp:
	dh_testdir

	cd documentation && make && cd book && make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd documentation && make maintainer-clean
	cd documentation/book && make maintainer-clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	${INSTALL_MODULE} configlet.py \
		${CURDIR}/debian/python-configlet/usr/lib/python2.1/site-packages
	${INSTALL_SCRIPT} configlets-text \
		${CURDIR}/debian/python-configlet/usr/bin
	${INSTALL_SCRIPT} test-configlets \
		${CURDIR}/debian/python-configlet/usr/bin
	${INSTALL_SCRIPT} update-configlets \
		${CURDIR}/debian/python-configlet/usr/sbin
	${INSTALL_SCRIPT} configlets-druid \
		${CURDIR}/debian/configlet-frontends/usr/sbin
	${INSTALL_SCRIPT} configlet-capplet \
		${CURDIR}/debian/configlet-frontends/usr/bin
	${INSTALL_SCRIPT} update-configlet-frontends \
		${CURDIR}/debian/configlet-frontends/usr/share/configlet-frontends
#	${INSTALL_DATA} progeny-notrans-icon.png \
#		${CURDIR}/debian/configlet-frontends/usr/share/pixmaps

	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/control-center/Debian/.directory
	${INSTALL_DATA} debian.directory \
		${CURDIR}/debian/configlet-frontends/usr/share/gnome/apps/Settings/Debian/.directory

	${INSTALL_DATA} documentation/configlet-capplet.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/update-configlets.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-druid.1 \
		${CURDIR}/debian/configlet-frontends/usr/share/man/man1
	${INSTALL_DATA} documentation/test-configlets.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1
	${INSTALL_DATA} documentation/configlets-text.1 \
		${CURDIR}/debian/python-configlet/usr/share/man/man1

	${INSTALL_DATA} documentation/book/book.html \
		${CURDIR}/debian/python-configlet/usr/share/doc/python-configlet/book
	${INSTALL_DATA} documentation/book/api/*.html \
		${CURDIR}/debian/python-configlet/usr/share/doc/python-configlet/book/api


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# Nothing to do here

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
