## configlet 2.4

=== debian/changelog ===
configlet (2.4) unstable; urgency=low

  * When writing configuration under firstboot, put up a status window.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 23 Feb 2004 17:23:20 -0500

configlet (2.3) unstable; urgency=low

  * Added support for gksu.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 15 Jan 2004 13:11:23 -0500

configlet (2.2) unstable; urgency=low

  * Change the Python version to 2.3.  Closes: #205885.
  * Put the business API in a Python-version-specific package, and
    make python-configlet a dummy.
  * Update the documentation to reflect the API versioning attribute.
  * Update the Standards-Version.

 -- Jeff Licquia <licquia@progeny.com>  Sun, 26 Oct 2003 21:25:44 -0500

configlet (2.1) unstable; urgency=low

  * Depend on the right versions of the Python API: python-gtk2,
    python-gnome2, and python-glade2.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 21 Aug 2003 10:54:52 -0500

configlet (2.0) unstable; urgency=low

  * The configlet main infrastructure and frontends are now based on
    GTK/GNOME 2.
  * When loading a configlet's glade file, detect if it's old-style or
    new-style, and convert it if necessary.
  * New frontend: firstboot, which hooks into Red Hat's firstboot
    second-stage install framework.
  * New API versioning system.  Configlets written to older versions
    of the API will not load.

 -- Jeff Licquia <licquia@progeny.com>  Fri, 15 Aug 2003 14:21:34 -0500

configlet (1.12) unstable; urgency=low

  * Convert build system to Progeny buildtools.
  * debian/control: add back documentation-related build dependencies

 -- Branden Robinson <branden@progeny.com>  Thu, 30 Jan 2003 15:15:34 -0500

configlet (1.11) unstable; urgency=low

  * Various and sundry XML tools are no longer required to build this package;
    instead, the source package now ships with pre-generated documentation.
  * debian/control:
    - Add Uploaders field, and put Jeff and myself in it.
    - Strip Build-Depends-Indep down to just debhelper; we'll now be calling
      "make dist" to generate the documentation here at Progeny before
      generating the Debian source package.
    - Update python-configlet's python dependencies to the new Python 2.2
      reality. (Closes: #159177)
    - Drop "python" dependency from configlet-frontends; it already depends on
      python-configlet which will transitively haul in the appropriate python
      dependency.
    - Minor cleanups to the package descriptions.

 -- Branden Robinson <branden@progeny.com>  Mon, 16 Sep 2002 17:23:12 -0500

configlet (1.10) unstable; urgency=low

  * Pack the list of available configlets for the druid into a
    scrolled window, since we're getting so many now.
  * Fix a potential problem with checking for a load failure in
    the capplet interface.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed,  5 Jun 2002 11:03:37 -0500

configlet (1.9) unstable; urgency=medium

  * If the root-getting program (gnome-sudo or xsu) fails to get
    root, we fail with an error.  Unfortunately, this itself threw
    an exception because we didn't load the capplet module, which
    would parse certain args for us.  Closes: #143178.
  * Add another try block for another configlet call.

 -- Jeff Licquia <jlicquia@progeny.com>  Thu, 25 Apr 2002 00:19:58 -0500
