=== debian/control ===
Source: configlet
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Jeff Licquia <licquia@progeny.com>, Branden Robinson <branden@progeny.com>
Build-Depends-Indep: debhelper (>= 3.0.0), autoconf, opensp, sgml-data, docbook-xml, xsltproc, ldp-docbook-xsl, links, docbook-to-man, python-happydoc, libxml2-utils
Standards-Version: 3.6.1

Package: python2.3-configlet
Architecture: all
Section: libs
Depends: python (>= 2.3), python (<< 2.4), python2.3-gtk2, python2.3-gnome2, python2.3-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.2)
Replaces: python-configlet (<< 2.2)
Description: alternative debconf configuration interface: core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides the basic API for writing configlets, as well
 as a simple tabbed dialog front end and test apparatus.

Package: python-configlet
Architecture: all
Section: libs
Depends: python2.3-configlet
Description: alternative debconf configuration interface: core API
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package acts as a dummy package, pulling in the proper version
 of the python-configlet package for the current version of Python.

Package: configlet-frontends
Architecture: all
Section: admin
Depends: python, python-configlet (>= 2.0)
Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.0)
Provides: configlet
Replaces: configlet
Description: alternate debconf configuration interface: frontends
 A "configlet" is a small Python/GNOME/Glade applet designed to load
 into a frontend application for the purpose of presenting an alternate
 interface to the standard debconf questions for one or more packages.
 .
 This package provides a GNOME Druid frontend for the configlets, as
 well as a capplet interface that plugs configlets into the GNOME
 Control Center.
