## configlet 2.4ubuntu1

=== debian/changelog ===
configlet (2.4ubuntu1) hoary; urgency=low

  * NMU
  * Rebuild for python2.4

 -- Charles Majola <charles@ubuntu.com>  Wed,  2 Mar 2005 10:44:59 +0200
