=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends-Indep: debhelper (>= 3.0.0), autoconf, opensp, sgml-data, docbook-xml, xsltproc, ldp-docbook-xsl, links, docbook-to-man, python-happydoc, libxml2-utils
 Standards-Version: 3.6.1
 
-Package: python2.3-configlet
+Package: python2.4-configlet
 Architecture: all
 Section: libs
-Depends: python (>= 2.3), python (<< 2.4), python2.3-gtk2, python2.3-gnome2, python2.3-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
-Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.2)
-Replaces: python-configlet (<< 2.2)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-gtk2, python2.4-gnome2, python2.4-glade2, debconf (>= 1.0), debconf-utils, imagemagick, gksu | gnome-sudo
+Conflicts: configlet (<= 0.9.22), python-configlet (<< 2.3)
+Replaces: python-configlet (<< 2.3)
 Description: alternative debconf configuration interface: core API
  A "configlet" is a small Python/GNOME/Glade applet designed to load
  into a frontend application for the purpose of presenting an alternate
@@ -23,7 +23,7 @@
 Package: python-configlet
 Architecture: all
 Section: libs
-Depends: python2.3-configlet
+Depends: python2.4-configlet
 Description: alternative debconf configuration interface: core API
  A "configlet" is a small Python/GNOME/Glade applet designed to load
  into a frontend application for the purpose of presenting an alternate
