=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTALL_SCRIPT=		${INSTALL} -m 755 -o root -g root
 
 # Debian stores Python modules in versioned directories
-PYTHON_VERSION=2.3
+PYTHON_VERSION=2.4
 
 configure: configure-stamp
 configure-stamp:
